%global _empty_manifest_terminate_build 0
Name:		python-Flask-SQLAlchemy
Version:	2.5.1
Release:	1
Summary:	Adds SQLAlchemy support to your Flask application.
License:	BSD-3-Clause
URL:		https://github.com/pallets/flask-sqlalchemy
Source0:	https://files.pythonhosted.org/packages/35/f0/39dd2d8e7e5223f78a5206d7020dc0e16718a964acfb3564d89e9798ab9b/Flask-SQLAlchemy-%{version}.tar.gz
BuildArch:	noarch

Requires:	python3-Flask
Requires:	python3-SQLAlchemy

%description
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy
with Flask by providing useful defaults and extra helpers that make it
easier to accomplish common tasks.

%package -n python3-Flask-SQLAlchemy
Summary:	Adds SQLAlchemy support to your Flask application.
Provides:	python-Flask-SQLAlchemy
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-Flask-SQLAlchemy
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy
with Flask by providing useful defaults and extra helpers that make it
easier to accomplish common tasks.

%package help
Summary:	Development documents and examples for Flask-SQLAlchemy
Provides:	python3-Flask-SQLAlchemy-doc
%description help
Flask-SQLAlchemy is an extension for Flask that adds support for
SQLAlchemy to your application. It aims to simplify using SQLAlchemy
with Flask by providing useful defaults and extra helpers that make it
easier to accomplish common tasks.

%prep
%autosetup -n Flask-SQLAlchemy-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-Flask-SQLAlchemy -f filelist.lst
%license LICENSE.rst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed Jun 29 2022 yaoxin <yaoxin30@h-partners.com> - 2.5.1-1
- Update to 2.5.1

* Mon Jun 22 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
